| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.ResizableTile

Portability | unportable
Stability | unstable
Maintainer | MATSUYAMA Tomohiro <t.matsuyama.pub@gmail.com>

Contents

Usage

Description
More useful tiled layout that allows you to change a width/height of window.
Synopsis

data ResizableTall a = ResizableTall Int Rational Rational [Rational]

data MirrorResize

= MirrorShrink
| MirrorExpand

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.ResizableTile

Then edit your `layoutHook` by adding the ResizableTile layout:

     myLayouts =  ResizableTall 1 (3/100) (1/2) [] ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayouts }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

You may also want to add the following key bindings:

     , ((modMask x,               xK_a), sendMessage MirrorShrink)
     , ((modMask x,               xK_z), sendMessage MirrorExpand)

For detailed instruction on editing the key binding see:

XMonad.Doc.Extending.

data ResizableTall a | Source

Constructors

ResizableTall Int Rational Rational [Rational] |

Instances

LayoutClass ResizableTall a
Read (ResizableTall a)
Show (ResizableTall a)

data MirrorResize | Source

Constructors

MirrorShrink |
MirrorExpand |

Instances

Typeable MirrorResize
Message MirrorResize

Produced by Haddock version 2.4.2